BareMetal API, REST: PublicSubnet.ListPublicSubnets
Retrieves the list of PublicSubnet resources in the specified folder.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.cloud.yandex.net/baremetal/v2/clouds/{cloudId}/folders/{folderId}/publicSubnets
Path parameters
|
Field |
Description |
|
cloudId |
string Required field. ID of the parent cloud. To get the cloud ID, use a yandex.cloud.resourcemanager.v1.CloudService.List request. |
|
folderId |
string Required field. ID of the parent folder. To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
|
orderBy |
string Sorting order for the listing. Follows the AIP-132 Supported fields: |
|
filter |
string Filter expression following AIP-160 Supported fields and operators:
Example: |
Response
HTTP Code: 200 - OK
{
"publicSubnets": [
{
"publicSubnetId": "string",
"cloudId": "string",
"folderId": "string",
"name": "string",
"description": "string",
"hardwarePoolIds": [
"string"
],
"type": "string",
// Includes only one of the fields `autoAllocation`, `manualAllocation`
"autoAllocation": {
"prefixLength": "string"
},
"manualAllocation": {
"cidr": "string",
"publicPrefixPoolId": "string"
},
// end of the list of possible fields
"prefixLength": "string",
"cidr": "string",
"dhcpOptions": {
"startIp": "string",
"endIp": "string"
},
"gatewayIp": "string",
"publicPrefixPoolId": "string",
"createTime": "string",
"updateTime": "string",
"annotations": "object",
"deletionUnlockTime": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
publicSubnets[] |
List of PublicSubnet resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than Each subsequent page will have its own |
PublicSubnet
A PublicSubnet resource.
|
Field |
Description |
|
publicSubnetId |
string ID of the public subnet. |
|
cloudId |
string ID of the cloud that the public subnet belongs to. |
|
folderId |
string ID of the folder that the public subnet belongs to. |
|
name |
string Name of the public subnet. The string length in characters must be 2-63. Value must match the regular expression |
|
description |
string Optional description of the public subnet. The maximum string length in characters is 1024. |
|
hardwarePoolIds[] |
string IDs of the hardware pool that the public subnet belongs to. |
|
type |
enum (Type) Type of the public subnet (dedicated or ephemeral). Cannot be set on creation. It's DEDICATED by default. EPHEMERAL networks are created only within the server.
|
|
autoAllocation |
Automatic CIDR allocation from the system public prefix pool. Includes only one of the fields Method for allocating CIDR block to the public subnet. |
|
manualAllocation |
Manual CIDR allocation with explicit CIDR from user's own public prefix pool (BYOIP). Includes only one of the fields Method for allocating CIDR block to the public subnet. |
|
prefixLength |
string (int64) Prefix length of the public subnet CIDR block. |
|
cidr |
string CIDR block for the public subnet. |
|
dhcpOptions |
DHCP options for the public subnet. |
|
gatewayIp |
string Gateway IP address for the public subnet. |
|
publicPrefixPoolId |
string ID of the public prefix pool that the public subnet belongs to. |
|
createTime |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
updateTime |
string (date-time) Update timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
annotations |
object (map<string, string>) Resource annotations as The maximum string length in characters for each value is 63. The string length in characters for each key must be 1-63. Each key must match the regular expression |
|
deletionUnlockTime |
string (date-time) Timestamp when deletion of the public subnet is allowed. String in RFC3339 To work with values in this field, use the APIs described in the |
AutoAllocation
|
Field |
Description |
|
prefixLength |
string (int64) Prefix length of the public subnet CIDR block. Acceptable values are 1 to 31, inclusive. |
ManualAllocation
|
Field |
Description |
|
cidr |
string CIDR block of the public subnet. Must be within the public prefix pool CIDR block. |
|
publicPrefixPoolId |
string ID of the public prefix pool that the CIDR block belongs to. To get a list of available public prefix pools, use the [PublicPrefixPoolService.List] request. |
DhcpOptions
DHCP options for a subnet.
|
Field |
Description |
|
startIp |
string Start IP address of the DHCP range (inclusive). |
|
endIp |
string End IP address of the DHCP range (inclusive). |